<?php
if( ! defined('BASEPATH')) exit('No direct script access allowed');

	//require_once(APPPATH.'/interfaces/IBase.php');
	
	class Model_BatchExpiry extends CI_Model 
	{
		public function __construct()
		{
			parent::__construct();	
		} 
	
		public function findproduct($productId)
		{
			$this->db->select("product_master.productId,product_master.productName,product_master.salesRate,company_master.companyName");
			$this->db->join('company_master','company_master.companyId=product_master.fkcompanyId','left outer');
		 	$this->db->where('product_master.productId=',$productId);
		   $this->db->where('product_master.is_active',1);
			$sql=$this->db->get('product_master');
			return $sql->result();
			// return $productId;

		}

		public function productlist()
		{
			$this->db->select("product_master.productId,product_master.productName,product_master.salesRate,company_master.companyName");
			$this->db->join('company_master','company_master.companyId=product_master.fkcompanyId','left outer');
			$this->db->from('product_master');
			$this->db->where('product_master.is_active',1);
			$query = $this->db->get();
			return $query->result();
			
		} 

		public function durationlist()
		{
			$this->db->select("expduration_master.expdurationId,expduration_master.expdurationName,");
			
			$this->db->from('expduration_master');
			$this->db->where('expduration_master.is_active',1);
			$query = $this->db->get();
			return $query->result();
			
		} 
		

		public function getexpdays($expdurationId)
		{
			$this->db->select("expduration_master.expDays");
			
		 	$this->db->where('expduration_master.expdurationId=',$expdurationId);
		   $this->db->where('expduration_master.is_active',1);
			$sql=$this->db->get('expduration_master');
			return $sql->result();
			// return $productId;

		}

		public  function searchbatch($fkproductId,$startdate,$enddate)
		{
			$date=date('Y-m-d');
			$this->db->select("purchaseproduct.fkpurchasebatchId,purchasebatch.batchName");
			
			$this->db->join('purchaseproduct','purchaseproduct.fkpurchasemainId=purchasemain.purchasemainId','left outer');
			$this->db->join('purchasebatch','purchasebatch.fkproductId=purchaseproduct.fkproductId','left outer');
			$this->db->where('purchaseproduct.fkproductId',$fkproductId);
			$this->db->where('purchasemain.purchaseDate>=',$startdate);
			$this->db->where('purchasemain.purchaseDate<=',$enddate);
			$this->db->where('purchaseproduct.expiryDate<=',$date);
			$this->db->where('purchaseproduct.is_active',1);
			$query = $this->db->get('purchasemain');
			return $query->result();
		}
		
		public function getexpirydata($fkproductId,$batch,$startdate,$enddate)
		{
			$this->db->select('purchasemain.purchaseDate,purchaseproduct.expiryDate,product_master.productName');

			$this->db->join('purchaseproduct','purchaseproduct.fkpurchasemainId=purchasemain.purchasemainId','left outer');
			$this->db->join('product_master','product_master.productId=purchaseproduct.fkproductId','left outer');
		 	$this->db->where('purchaseproduct.fkproductId',$fkproductId);
		 	$this->db->where('purchaseproduct.Batch',$batch);
		 	$this->db->where('purchaseproduct.expiryDate>=',$startdate);
		 	$this->db->where('purchaseproduct.expiryDate<=',$enddate);
		   $this->db->where('product_master.is_active',1);
			$sql=$this->db->get('purchasemain');
			return $sql->result();
		}
		public function getprimaryunit($productId)
		{
			$this->db->select('product_master.fkunitId,product_master.openingStock,unit_master.UnitName');

			$this->db->join('unit_master','unit_master.unitId=product_master.fkunitId','left outer');
			
		 	$this->db->where('product_master.productId=',$productId);
		   $this->db->where('product_master.is_active',1);
			$sql=$this->db->get('product_master');
			return $sql->result();
		}

		public function getsecondunitId($productId)
		{
			$this->db->select('productsecondunit.fksecondunitId,productsecondunit.conversion,unit_master.UnitName');
				$this->db->join('unit_master','unit_master.unitId=productsecondunit.fksecondunitId','inner');
		 	$this->db->where('productsecondunit.fkproductId=',$productId);
		   $this->db->where('productsecondunit.is_active',1);
			$sql=$this->db->get('productsecondunit');
			return $sql->result();
		}

		public function getbatchexp($productId,$batch,$startdate,$enddate)
		{
			$date=date('Y-m-d');		
			$this->db->select('purchasemain.purchaseDate,purchaseproduct.expiryDate,product_master.productName,product_master.productId,purchasebatch.batchName,supplier_master.supplierName,purchaseproduct.fkpurchasebatchId');
			$this->db->order_by('purchaseproduct.expiryDate','desc');
			$this->db->join('purchaseproduct','purchaseproduct.fkpurchasemainId=purchasemain.purchasemainId','left outer');

			$this->db->join('supplier_master','supplier_master.supplierId=purchasemain.fksupplierId','left outer');
			$this->db->join('product_master','product_master.productId=purchaseproduct.fkproductId','left outer');
			$this->db->join('purchasebatch','purchasebatch.purchasebatchId=purchaseproduct.fkpurchasebatchId','left outer');
		 	$this->db->where('purchaseproduct.fkproductId=',$productId);
		 	$this->db->where('purchaseproduct.fkpurchasebatchId=',$batch);
		 	$this->db->where('purchaseproduct.expiryDate>=',$startdate);
		 	$this->db->where('purchaseproduct.expiryDate<=',$enddate);
		   $this->db->where('purchasemain.is_active',1);
			$sql=$this->db->get('purchasemain');
			return $sql->result();
		}
		public function purchaseprimarysum($productId,$fkunitId,$startdate,$enddate)
		{		
		$date=date('Y-m-d');			
			$this->db->select_sum('purchaseproduct.Quantity');
			$this->db->select_sum('purchaseproduct.freeQuantity');
			$this->db->where('purchaseproduct.fkproductId=',$productId);
		 	$this->db->where('purchaseproduct.fkunitId=',$fkunitId);
		 	$this->db->where('purchaseproduct.expiryDate>=',$startdate);
		 	$this->db->where('purchaseproduct.expiryDate<=',$enddate);
		   $this->db->where('purchaseproduct.is_active',1);
			$sql=$this->db->get('purchaseproduct');
			$purchaseprimQty=$sql->result();
			if($purchaseprimQty[0]->Quantity=="")
			{
				
				$purchaseprimQty[0]->Quantity=0;
				return $purchaseprimQty;
				

			}
			else
			{
				 
				 return  $purchaseprimQty;
				
			}
			

		}

		public function invoiceprimarysum($productId,$fkunitId,$startdate,$enddate)
		{		
		$date=date('Y-m-d');			
			$this->db->select_sum('invoiceproduct.Quantity');
			$this->db->select_sum('invoiceproduct.freeQuantity');
		 	$this->db->where('invoiceproduct.fkproductId=',$productId);
		 	$this->db->where('invoiceproduct.fkunitId=',$fkunitId);
		 	$this->db->where('invoiceproduct.expiryDate>=',$startdate);
		 	$this->db->where('invoiceproduct.expiryDate<=',$enddate);
		   $this->db->where('invoiceproduct.is_active',1);
			$sql=$this->db->get('invoiceproduct');
			$invoiceQuantity=$sql->result();
			if($invoiceQuantity[0]->Quantity=="")
			{
				
				$invoiceQuantity[0]->Quantity=0;
				return $invoiceQuantity;
				

			}
			else
			{
				 
				 return  $invoiceQuantity;
				
			}
			

		}

		public function batchinfo($productId,$startdate,$enddate)
		{
			// return $productId;
			$date=date('Y-m-d');
			$this->db->select('purchasebatch.batchName,purchasebatch.purchasebatchId');
			$this->db->join('purchaseproduct','purchaseproduct.fkpurchasebatchId=purchasebatch.purchasebatchId','left outer');
		 	$this->db->where('purchaseproduct.fkproductId=',$productId);
		 	$this->db->where('purchaseproduct.expiryDate>=',$startdate);
		 	$this->db->where('purchaseproduct.expiryDate<=',$enddate);
		   $this->db->where('purchasebatch.is_active',1);	
			$sql=$this->db->get('purchasebatch');
			return $sql->result();
		}


		public function purchasebatchprimarysum($productId,$fkunitId,$batchId,$startdate,$enddate)
		{				
			$date=date('Y-m-d');
			$this->db->select_sum('purchaseproduct.Quantity');
			$this->db->select_sum('purchaseproduct.freeQuantity');
		 	$this->db->where('purchaseproduct.fkproductId=',$productId);
		 	$this->db->where('purchaseproduct.fkunitId=',$fkunitId);
		 	$this->db->where('purchaseproduct.fkpurchasebatchId=',$batchId);
		 	$this->db->where('purchaseproduct.expiryDate>=',$startdate);
		 	$this->db->where('purchaseproduct.expiryDate<=',$enddate);
		   $this->db->where('purchaseproduct.is_active',1);
			$sql=$this->db->get('purchaseproduct');
			$purchaseprimQty=$sql->result();
			if($purchaseprimQty[0]->Quantity=="")
			{
				
				$purchaseprimQty[0]->Quantity=0;
				return $purchaseprimQty;
				

			}
			else
			{
				 
				 return  $purchaseprimQty;
				
			}
			

		}

		public function invoicebatchprimarysum($productId,$fkunitId,$batchId,$startdate,$enddate)
		{					
			$date=date('Y-m-d');
			$this->db->select_sum('invoiceproduct.Quantity');
			$this->db->select_sum('invoiceproduct.freeQuantity');
			
		 	$this->db->where('invoiceproduct.fkproductId=',$productId);
		 	$this->db->where('invoiceproduct.fkunitId=',$fkunitId);
		 	$this->db->where('invoiceproduct.fkpurchasebatchId=',$batchId);
		 	$this->db->where('invoiceproduct.expiryDate>=',$startdate);
		 	$this->db->where('invoiceproduct.expiryDate<=',$enddate);
		   $this->db->where('invoiceproduct.is_active',1);
			$sql=$this->db->get('invoiceproduct');
			$invoiceQuantity=$sql->result();
			if($invoiceQuantity[0]->Quantity=="")
			{
				
				$invoiceQuantity[0]->Quantity=0;
				return $invoiceQuantity;
				

			}
			else
			{
				 
				 return  $invoiceQuantity;
				
			}
			

		}

		public function purchasebatchsecondsum($productId,$fksecondunitId,$batchId,$startdate,$enddate)
		{					
			$date=date('Y-m-d');
			$this->db->select_sum('purchaseproduct.Quantity');
			$this->db->select_sum('purchaseproduct.freeQuantity');
		 	$this->db->where('purchaseproduct.fkproductId=',$productId);
		 	$this->db->where('purchaseproduct.fkunitId=',$fksecondunitId);
		 	$this->db->where('purchaseproduct.fkpurchasebatchId=',$batchId);
		 	$this->db->where('purchaseproduct.expiryDate>=',$startdate);
		 	$this->db->where('purchaseproduct.expiryDate<=',$enddate);
		   $this->db->where('purchaseproduct.is_active',1);
			$sql=$this->db->get('purchaseproduct');
			$purchaseprimQty=$sql->result();
			if($purchaseprimQty[0]->Quantity=="")
			{
				
				$purchaseprimQty[0]->Quantity=0;
				return $purchaseprimQty;
				

			}
			else
			{
				 
				 return  $purchaseprimQty;
				
			}
			

		}

		public function invoicebatchsecondsum($productId,$fksecondunitId,$batchId,$startdate,$enddate)
		{					
			$date=date('Y-m-d');
			$this->db->select_sum('invoiceproduct.Quantity');
			$this->db->select_sum('invoiceproduct.freeQuantity');
		 	$this->db->where('invoiceproduct.fkproductId=',$productId);
		 	$this->db->where('invoiceproduct.fkunitId=',$fksecondunitId);
		 	$this->db->where('invoiceproduct.fkpurchasebatchId=',$batchId);
		 	$this->db->where('invoiceproduct.expiryDate>=',$startdate);
		 	$this->db->where('invoiceproduct.expiryDate<=',$enddate);
		   $this->db->where('invoiceproduct.is_active',1);
			$sql=$this->db->get('invoiceproduct');
			$invoiceQuantity=$sql->result();
			if($invoiceQuantity[0]->Quantity=="")
			{
				
				$invoiceQuantity[0]->Quantity=0;
				return $invoiceQuantity;
				

			}
			else
			{
				 
				 return  $invoiceQuantity;
				
			}
			

		}

		public function getdeletebatch($productId,$fkunitId,$batchId,$startdate,$enddate)
		{					
			
			$this->db->select('deletebatch.Quantity as deleteqty');
			$this->db->where('deletebatch.fkproductId=',$productId);
		 	$this->db->where('deletebatch.fkunitId=',$fkunitId);
		 	$this->db->where('deletebatch.fkpurchasebatchId=',$batchId);
		 	$this->db->where('deletebatch.expirydate>=',$startdate);
		 	$this->db->where('deletebatch.expirydate<=',$enddate);
		   $this->db->where('deletebatch.is_active',1);
			$sql=$this->db->get('deletebatch');
			$deletebatchqty=$sql->result();

			if (!empty($deletebatchqty)) {
				$deletebatchqty[0]=[	
							'deleteqty'=>$deletebatchqty[0]->deleteqty
					];
				return  $deletebatchqty;
			}
			else
			{

				$deletebatchqty[0]=[	
							'deleteqty'=>0
					];
				return  $deletebatchqty;
				// print_r($deletebatchqty) ;
			}
			

		}
		
		function deletebatch($model)
		{
				return $this->db->insert('deletebatch',$model);
		}
		

	}
	
?>