<?php
if( ! defined('BASEPATH')) exit('No direct script access allowed');

	//require_once(APPPATH.'/interfaces/IBase.php');
	
	class Model_Customertransaction extends CI_Model 
	{
		public function __construct()
		{
			parent::__construct();	
		} 
		
		public function select_all()
		{					
			$sql=$this->db->select('customertransaction.customerTransactionId,customertransaction.fkcustomerId,customertransaction.fkinvoicemainId,customertransaction.fkpaymenttypeId,customertransaction.paidAmount,customertransaction.paymentDate,customer_master.customerName,paymenttype_master.paymentType')
			->join('customer_master','customer_master.customerId=customertransaction.fkcustomerId')
			->join('paymenttype_master','paymenttype_master.paymenttypeId=customertransaction.fkpaymenttypeId')

			->where(['customertransaction.is_active'=>1])
			->get('customertransaction');
			return $sql->result();


		} 
		public function select($customerTransactionId)
		{
			$sql=$this->db->select('customertransaction.*,customer_master.customerId,customer_master.customerName,paymenttype_master.paymenttypeId,paymenttype_master.paymentType,mobilepaymentapp_master.mobileappId,mobilepaymentapp_master.mobileappName,bank_master.bankId,bank_master.bankName')
			->join('customer_master','customer_master.customerId=customertransaction.fkcustomerId','left outer')
			->join('paymenttype_master','paymenttype_master.paymenttypeId=customertransaction.fkpaymenttypeId','left outer')
			->join('mobilepaymentapp_master','mobilepaymentapp_master.mobileappId=customertransaction.fkmobAppId','left outer')
			->join('bank_master','bank_master.bankId=customertransaction.fkbankId','left outer')
			->where('customertransaction.customerTransactionId=',$customerTransactionId)
			->where(['customertransaction.is_active'=>1])
			->get('customertransaction');
			return $sql->result();

		}

		public function insert($model)
		{
			return $this->db->insert('customertransaction',$model);
			return $sql->result();

		}  

		public function update($model)
		{
			return $sql=$this->db->where('customerTransactionId',$model['customerTransactionId'])
						  ->update('customertransaction',$model);

		} 

		public function delete($model)
		{
			return $sql=$this->db->where('customerTransactionId',$model->customerTransactionId)
						  ->update('customertransaction',$model);

		} 
		public function search($customerTransactionId)
		{
			$sql=$this->db->get_where('customertransaction',['customerTransactionId'=>$customerTransactionId]);
			return $sql->result();

		}
		public function customerlist()
		{
			$this->db->select("customerId,customerName,address,primaryMobile");
			$this->db->from('customer_master');
			$this->db->where('is_active',1);
			$query = $this->db->get();
			return $query->result();
			
		} 	
		public function paymenttypelist()
		{
			$this->db->select("paymenttypeId,paymentType");
			$this->db->from('paymenttype_master');
			$this->db->where('is_active',1);
			$query = $this->db->get();
			return $query->result();
			
		}
		public function mobapplist()
		{
			$this->db->select("mobileappId,mobileappName");
			$this->db->from('mobilepaymentapp_master');
			$this->db->where('is_active',1);
			$query = $this->db->get();
			return $query->result();
			
		} 
		public function paydetaillist()
		{
			$this->db->select("paymenttypeId,paymentType");
			$this->db->from('paymenttype_master');
			// $this->db->;
			$this->db->where('paymenttypeId!=',2);
			$this->db->where('is_active',1);
			$query = $this->db->get();
			return $query->result();
			
		}	
		public function paymentlist()
		{
			$this->db->select("paymenttypeId,paymentType");
			$this->db->from('paymenttype_master');
			// $this->db->;
			$this->db->where('paymenttypeId!=',7);
			$this->db->where('paymenttypeId!=',3);
			$this->db->where('paymenttypeId!=',4);
			$this->db->where('paymenttypeId!=',5);
			$this->db->where('paymenttypeId!=',6);
			$this->db->where('is_active',1);
			$query = $this->db->get();
			return $query->result();
			
		}
		public function banklist()
		{
			$this->db->select("bankId,bankName");
			$this->db->from('bank_master');
			$this->db->where('is_active',1);
			$query = $this->db->get();
			return $query->result();
			
		} 
		public function findcustomername($customerId)
		{
			$this->db->select('customer_master.customerId,customer_master.customerName');
		 	$this->db->where('customer_master.customerId=',$customerId);
		   $this->db->where('customer_master.is_active',1);
			$sql=$this->db->get('customer_master');
			return $sql->result();

		}
		public function getpaymenthistory($startDate,$endDate,$paymenttypeId,$customerId)
		{
			if($paymenttypeId=="")
			{
				$this->db->select('customertransaction.*,customer_master.customerId,customer_master.customerName,paymenttype_master.paymenttypeId,paymenttype_master.paymentType,mobilepaymentapp_master.mobileappId,mobilepaymentapp_master.mobileappName,bank_master.bankId,bank_master.bankName');
			$this->db->join('customer_master','customer_master.customerId=customertransaction.fkcustomerId','left outer');
			$this->db->join('paymenttype_master','paymenttype_master.paymenttypeId=customertransaction.fkpaymenttypeId','left outer');
			$this->db->join('mobilepaymentapp_master','mobilepaymentapp_master.mobileappId=customertransaction.fkmobAppId','left outer');
			$this->db->join('bank_master','bank_master.bankId=customertransaction.fkbankId','left outer');
			$this->db->where('customertransaction.paymentDate>=',$startDate);
		 	$this->db->where('customertransaction.paymentDate<=',$endDate);
		 	$this->db->where('customertransaction.fkcustomerId=',$customerId);
		   $this->db->where('customertransaction.is_active',1);
			$sql=$this->db->get('customertransaction');
			return $sql->result();

			}
			else
			{
				$this->db->select('customertransaction.*,customer_master.customerId,customer_master.customerName,paymenttype_master.paymenttypeId,paymenttype_master.paymentType,mobilepaymentapp_master.mobileappId,mobilepaymentapp_master.mobileappName,bank_master.bankId,bank_master.bankName');
			$this->db->join('customer_master','customer_master.customerId=customertransaction.fkcustomerId','left outer');
			$this->db->join('paymenttype_master','paymenttype_master.paymenttypeId=customertransaction.fkpaymenttypeId','left outer');
			$this->db->join('mobilepaymentapp_master','mobilepaymentapp_master.mobileappId=customertransaction.fkmobAppId','left outer');
			$this->db->join('bank_master','bank_master.bankId=customertransaction.fkbankId','left outer');
			$this->db->where('customertransaction.paymentDate>=',$startDate);
		 	$this->db->where('customertransaction.paymentDate<=',$endDate);
		 	$this->db->where('customertransaction.fkpaymenttypeId=',$paymenttypeId);
		 	$this->db->where('customertransaction.fkcustomerId=',$customerId);
		   $this->db->where('customertransaction.is_active',1);
			$sql=$this->db->get('customertransaction');
			return $sql->result();


			}
			
		}
		public function getbillhistory($startDate,$endDate,$customerId,$paymenttypeId)
		{
			if($paymenttypeId=="")
			{
				$this->db->select('invoicemain.*,paymenttype_master.paymenttypeId,paymenttype_master.paymentType,customer_master.customerId,customer_master.customerName');
				$this->db->join('customer_master','customer_master.customerId=invoicemain.fkcustomerId','left outer');
			 $this->db->join('paymenttype_master','paymenttype_master.paymenttypeId=invoicemain.fkpaymenttypeId','left outer');
			$this->db->where('invoicemain.invoiceDate>=',$startDate);
		 	$this->db->where('invoicemain.invoiceDate<=',$endDate);
		 	$this->db->where('invoicemain.fkcustomerId=',$customerId);
		   	$this->db->where('invoicemain.is_active',1);
			$sql=$this->db->get('invoicemain');
			return $sql->result();

			}
			else
			{
				$this->db->select('invoicemain.*,paymenttype_master.paymenttypeId,paymenttype_master.paymentType,customer_master.customerId,customer_master.customerName');
				$this->db->join('customer_master','customer_master.customerId=invoicemain.fkcustomerId','left outer');
				$this->db->join('paymenttype_master','paymenttype_master.paymenttypeId=invoicemain.fkpaymenttypeId','left outer');
				$this->db->where('invoicemain.invoiceDate>=',$startDate);
			 	$this->db->where('invoicemain.invoiceDate<=',$endDate);
			 	$this->db->where('invoicemain.fkpaymenttypeId=',$paymenttypeId);
			 	$this->db->where('invoicemain.fkcustomerId=',$customerId);
			   	$this->db->where('invoicemain.is_active',1);
				$sql=$this->db->get('invoicemain');
				return $sql->result();

			}
			
		}

	public function getopeaningbalance($fkcustomerId)
	{
				$this->db->select('customer_master.opeaningbalance');
				
			 	$this->db->where('customer_master.customerId=',$fkcustomerId);
			   	$this->db->where('customer_master.is_active',1);
				$sql=$this->db->get('customer_master');
				$balence=$sql->result();
				if($balence[0]->opeaningbalance=="")
				{
					$balence[0]->opeaningbalance=0;
					return $balence;
				}
				else
				{
					return $balence;
				}
	}
	public function getinvoiceamount($fkcustomerId)
	{
				$this->db->select_sum('invoicemain.amount');
			 	$this->db->where('invoicemain.fkcustomerId=',$fkcustomerId);
			   	$this->db->where('invoicemain.is_active',1);
				$sql=$this->db->get('invoicemain');
				$amount=$sql->result();
				if($amount[0]->amount=="")
				{
					$amount[0]->amount=0;
					return $amount;
				}
				else
				{
					return $amount;
				}
	}
	public function getpaidamt($fkcustomerId)
	{
				$this->db->select_sum('customertransaction.paidAmount');
			 	$this->db->where('customertransaction.fkcustomerId=',$fkcustomerId);
			   $this->db->where('customertransaction.is_active',1);
				$sql=$this->db->get('customertransaction');
				$paid=$sql->result();
				if($paid[0]->paidAmount=="")
				{
					$paid[0]->paidAmount=0;
					return $paid;
				}
				else
				{
					return $paid;
				}
	}

	}
	
?>