<?php
if( ! defined('BASEPATH')) exit('No direct script access allowed');

	//require_once(APPPATH.'/interfaces/IBase.php');
	
	class Model_Purchasebill extends CI_Model 
	{
		public function __construct()
		{
			parent::__construct();	
		} 
		
		public function select_all()
		{				
			$fkbranchId= $this->session->userdata('fkbranchId');
			$u_id= $this->session->userdata('u_id');
			
			
			$sql= $this->db->select('purchasemain.purchasemainId,purchasemain.fksupplierId,purchasemain.purchaseDate,purchasemain.totalamount,purchasemain.shipandpackCost,purchasemain.paidAmount,supplier_master.supplierName,paymenttype_master.paymentType')
				->join('paymenttype_master','paymenttype_master.paymentTypeId=purchasemain.fkpaymentId','inner')
				->join('supplier_master','supplier_master.supplierId=purchasemain.fksupplierId','left outer')

				->where('purchasemain.fkbranchId',$fkbranchId)
				->where('purchasemain.created_by',$u_id)

				->get_where('purchasemain',['purchasemain.is_active'=>1]);
				return $sql->result();

		} 


		public function purchase_report()
		{					
			$sql=$this->db->order_by('purchasemainId','desc')
						  //->limit(1)
						  ->get('purchasemain');
			return $sql->result();
		}

		public function select($purchasemainId)
		{
			$sql=$this->db->select('purchasemain.*,purchaseproduct.*,product_master.productId,product_master.productName,gst_master.gstName,unit_master.UnitName,hsnsac_master.hsncode4,purchasebatch.batchName,tax_master.TaxName')

					  ->join('purchaseproduct','purchasemain.purchasemainId=purchaseproduct.fkpurchasemainId','left outer')
					  
					  ->join('product_master','purchaseproduct.fkproductId=product_master.productId','left outer')
					  ->join('hsnsac_master','hsnsac_master.hsnsacId=product_master.fkhsnsacId','left outer')
					   ->join('gst_master','purchaseproduct.fkgstId=gst_master.gstId','left outer')
					    ->join('purchasebatch','purchaseproduct.fkpurchasebatchId=purchasebatch.purchasebatchId','left outer')
						->join('unit_master','purchaseproduct.fkunitId=unit_master.UnitId','left outer')
						->join('tax_master','purchaseproduct.moreTax = tax_master.TaxId','left outer')

					    
							->where(['fkpurchasemainId'=>$purchasemainId])
							->where('purchaseproduct.is_active',1)	

					        ->get('purchasemain');
			
			return $sql->result();
			// return $purchasemainId;

		}
		
		function deleteRecord($tableName,$whereArray)
        {
            $this->db->where($whereArray);
            $query = $this->db->delete($tableName);
            return $this->db->affected_rows();
        }

		public function purchase_details($purchasemainId)
		{			
			$sql=$this->db->select('purchasemain.*,supplier_master.supplierName,supplier_master.address,supplier_master.primaryMobile,supplier_master.pinCode,supplier_master.suppliergstNumber')
				->join('purchaseproduct','purchasemain.purchasemainId=purchaseproduct.fkpurchasemainId','left outer')
					
			     ->join('supplier_master','supplier_master.supplierId=purchasemain.fksupplierId','left outer')
				

				 ->group_by(['purchasemainId'])
				 
				->where(['purchaseproduct.fkpurchasemainId'=>$purchasemainId,'purchaseproduct.is_active'=>1])
				->get('purchasemain');
			
			return $sql->result();
		}



		public function insert($tableName,$model)
		{
			return $this->db->insert($tableName,$model);
		}




		public function getproductdetails($productId)
		{
			$sql=$this->db->select("*")
						  ->get_where('product_master',['productId'=>$productId,'is_active'=>1]);
			return $sql->result();
		}




		public function productdetails($purchasemainId)
		{			
			$sql=$this->db->select('purchaseproduct.*,product_master.productName,gst_master.gstName,unit_master.UnitName,hsnsac_master.hsncode4,manufacture_master.manufactureName,product_master.mrpRate,product_master.purchaseRate,purchasebatch.batchName')
				// ->join('invoiceproduct','invoicemain.invoicemainId=invoiceproduct.fkinvoicemainId','left outer')
					->join('hsnsac_master','hsnsac_master.hsnsacId=purchaseproduct.fkhsnsacId','left outer')
			     ->join('product_master','product_master.productId=purchaseproduct.fkproductId','left outer')
			      ->join('manufacture_master','manufacture_master.manufactureId=product_master.fkmanufactureId','left outer')
			     ->join('unit_master','unit_master.UnitId=purchaseproduct.fkunitId','left outer')
			     ->join('gst_master','gst_master.gstId=purchaseproduct.fkgstId','left outer')
				->join('purchasebatch','purchasebatch.purchasebatchId=purchaseproduct.fkpurchasebatchId','left outer')
				 
				->where(['purchaseproduct.fkpurchasemainId'=>$purchasemainId,'purchaseproduct.is_active'=>1])
				->get('purchaseproduct');
			
			return $sql->result();
		}



		public function getunitstock($productId,$fkunitId)
		{					
			$this->db->select('productsecondunit.conversion,unit_master.UnitName');
			$this->db->join('unit_master','unit_master.UnitId=productsecondunit.fksecondunitId','left outer');
		 	$this->db->where('productsecondunit.fkproductId=',$productId);
		 	$this->db->where('productsecondunit.fksecondunitId=',$fkunitId);
		   $this->db->where('productsecondunit.is_active',1);
			$sql=$this->db->get('productsecondunit');
			return $sql->result();
			
			

		}

 		public function get_autocomplete($search_data)
    {
        $this->db->select('productName');
        // $this->db->like('slug', $search_data);
        $this->db->like('productName',$search_data,'both');
      	$this->db->from('product_master');
         $query =   $this->db->get();
        return $query->result();
    }

		// 	public function getbatchdetails($postData)
		// {				
		// 		$date=date('Y-m-d');	
		// 	$this->db->select('purchasebatch.batchName,purchaseproduct.expiryDate,purchaseproduct.Rate,purchaseproduct.Quantity,product_master.productName,purchaseproduct.fkpurchasebatchId');

		// 	$this->db->join('product_master','product_master.productId=purchaseproduct.fkproductId','left outer');
		// 	$this->db->join('purchasebatch','purchasebatch.purchasebatchId=purchaseproduct.fkpurchasebatchId','left outer');
		
		//  	$this->db->where('purchaseproduct.fkproductId=',$postData['productId']);
		//  		$this->db->where('purchaseproduct.expiryDate>=',$date);
		//    $this->db->where('purchaseproduct.is_active',1);
		// 	$sql=$this->db->get('purchaseproduct');
		// 	return $sql->result();
			
			
			

		// }

		
public function getbatchdetails($postData)
		{				
				$date=date('Y-m-d');	
			$this->db->select('purchasebatch.batchName,purchaseproduct.expiryDate,purchaseproduct.Rate,purchaseproduct.Quantity,product_master.productName,purchaseproduct.fkpurchasebatchId,purchaseproduct.moreMrp,product_master.productId');

			$this->db->join('product_master','product_master.productId=purchaseproduct.fkproductId','left outer');

			$this->db->join('purchasebatch','purchasebatch.purchasebatchId=purchaseproduct.fkpurchasebatchId','left outer');

		

		 	$this->db->where('purchaseproduct.fkproductId=',$postData['productId']);
		 		// $this->db->where('purchaseproduct.expiryDate>=',$date);
		   $this->db->where('purchaseproduct.is_active',1);
			$sql=$this->db->get('purchaseproduct');
			return $sql->result();
			
			// return $productId;
			

		}

		public function getrate($productId,$unitId)
		{					
			$this->db->select('productsecondunit.conversion');
			
		 	$this->db->where('productsecondunit.fkproductId=',$productId);
		 	$this->db->where('productsecondunit.fksecondunitId=',$unitId);
		 	
		   $this->db->where('productsecondunit.is_active',1);
			$sql=$this->db->get('productsecondunit');
			return $sql->result();
			
			// return $productId;
			

		}

		public function getsecondaryunit($postData)
		{					
			$this->db->select('unit_master.UnitId,unit_master.UnitName');
		
		 	$this->db->where('unit_master.UnitId!=',$postData['fkunitId']);
		 	
		   $this->db->where('unit_master.is_active',1);
			$sql=$this->db->get('unit_master');
			return $sql->result();
			
			

		}

		// public function getsecondaryunit($fkunitId)
		// {
		// 	  $this->db->select('UnitId,UnitName');
		// 		$this->db->from('unit_master');
		// 		$this->db->where('unit_master.is_active','1');
		// 		// $this->db->where('unit_master.fkunitId',$fkunitId);
		// 		$this->db->where('unit_master.UnitId!=',$postData['fkunitId']);
		// 		 $query = $this->db->get();
		// 		 return $query->result();
			 
		// }


		public function productnetdetails($purchasemainId)
		{			
			$sql=$this->db->select_sum('purchaseproduct.netAmount')				
				->where(['purchaseproduct.fkpurchasemainId'=>$purchasemainId,'purchaseproduct.is_active'=>1])
				->get('purchaseproduct');			
			return $sql->result();
		}

		public function stockopen($productId)
		{					
			$this->db->select('product_master.openingStock,unit_master.UnitName');
			$this->db->join('unit_master','unit_master.UnitId=product_master.fkunitId','left outer');
		 	$this->db->where('product_master.productId=',$productId);
		   $this->db->where('product_master.is_active',1);
			$sql=$this->db->get('product_master');
			$openStock=$sql->result();
			if($openStock[0]->openingStock=="")
			{
				
				$openStock[0]->openingStock=0;
				return $openStock;
				

			}
			else
			{
				 
				 return  $openStock;
				
			}
			

		}
		
		public function purchaseprimarysum($productId,$fkunitId)
		{				
			$date=date('Y-m-d');
			$this->db->select_sum('purchaseproduct.Quantity');
			$this->db->select_sum('purchaseproduct.freeQuantity');
		 	$this->db->where('purchaseproduct.fkproductId=',$productId);
		 	$this->db->where('purchaseproduct.fkunitId=',$fkunitId);
		 	$this->db->where('purchaseproduct.expiryDate>=',$date);
		   $this->db->where('purchaseproduct.is_active',1);
			$sql=$this->db->get('purchaseproduct');
			$purchaseprimQty=$sql->result();
			if($purchaseprimQty[0]->Quantity=="")
			{
				
				$purchaseprimQty[0]->Quantity=0;
				return $purchaseprimQty;
				

			}
			else
			{
				 
				 return  $purchaseprimQty;
				
			}
			

		}


		public function purchasesecondsum($productId,$fksecondunitId)
		{					
			$date=date('Y-m-d');
			$this->db->select_sum('purchaseproduct.Quantity');
			$this->db->select_sum('purchaseproduct.freeQuantity');
		 	$this->db->where('purchaseproduct.fkproductId=',$productId);
		 	$this->db->where('purchaseproduct.fkunitId=',$fksecondunitId);
		 	$this->db->where('purchaseproduct.expiryDate>=',$date);
		   $this->db->where('purchaseproduct.is_active',1);
			$sql=$this->db->get('purchaseproduct');
			$purchaseprimQty=$sql->result();
			if($purchaseprimQty[0]->Quantity=="")
			{
				
				$purchaseprimQty[0]->Quantity=0;
				return $purchaseprimQty;
				

			}
			else
			{
				 
				 return  $purchaseprimQty;
				
			}
			

		}


		public function invoiceprimarysum($productId,$fkunitId)
		{			
		$date=date('Y-m-d');		
			$this->db->select_sum('invoiceproduct.Quantity');
			$this->db->select_sum('invoiceproduct.freeQuantity');
		 	$this->db->where('invoiceproduct.fkproductId=',$productId);
		 	$this->db->where('invoiceproduct.fkunitId=',$fkunitId);
		 	$this->db->where('invoiceproduct.expiryDate>=',$date);
		   $this->db->where('invoiceproduct.is_active',1);
			$sql=$this->db->get('invoiceproduct');
			$invoiceQuantity=$sql->result();
			if($invoiceQuantity[0]->Quantity=="")
			{
				
				$invoiceQuantity[0]->Quantity=0;
				return $invoiceQuantity;
				

			}
			else
			{
				 
				 return  $invoiceQuantity;
				
			}
			

		}

				public function invoicesecondsum($productId,$fksecondunitId)
		{		
			$date=date('Y-m-d');			
			$this->db->select_sum('invoiceproduct.Quantity');
			$this->db->select_sum('invoiceproduct.freeQuantity');
		 	$this->db->where('invoiceproduct.fkproductId=',$productId);
		 	$this->db->where('invoiceproduct.fkunitId=',$fksecondunitId);
		 	$this->db->where('invoiceproduct.expiryDate>=',$date);
		   $this->db->where('invoiceproduct.is_active',1);
			$sql=$this->db->get('invoiceproduct');
			$invoiceQuantity=$sql->result();
			if($invoiceQuantity[0]->Quantity=="")
			{
				
				$invoiceQuantity[0]->Quantity=0;
				return $invoiceQuantity;
				

			}
			else
			{
				 
				 return  $invoiceQuantity;
				
			}
			

		}

		public function getdeleteproductbatch($productId,$fkunitId)
		{			
		$date=date('Y-m-d');		
			$this->db->select('deletebatch.Quantity as deleteqty');
			
		 	$this->db->where('deletebatch.fkproductId=',$productId);
		 	$this->db->where('deletebatch.fkunitId=',$fkunitId);
		 	$this->db->where('deletebatch.expirydate>=',$date);
		   $this->db->where('deletebatch.is_active',1);
			$sql=$this->db->get('deletebatch');
			$deletebatchqty=$sql->result();
			if (!empty($deletebatchqty)) {
				$deletebatchqty[0]=[	
							'deleteqty'=>$deletebatchqty[0]->deleteqty
					];
				return  $deletebatchqty;
			}
			else
			{

				$deletebatchqty[0]=[	
							'deleteqty'=>0
					];
				return  $deletebatchqty;
				// print_r($deletebatchqty) ;
			}
			

		}


		  function getunitdetails($postData)
		{
      		$this->db->select("product_master.fkunitId,unit_master.UnitName");	
      		$this->db->join('unit_master','unit_master.UnitId=product_master.fkunitId','left outer');  
      		$this->db->where('productId',$postData['productId']);			
			$this->db->where('product_master.is_active',1);
			$q= $this->db->get('product_master');
			return $q->result();
    	}

    	function getsecondunit($postData)
		{
      		$this->db->select("productsecondunit.fksecondunitId,unit_master.UnitName as secondunitName");	
      		$this->db->join('unit_master','unit_master.UnitId=productsecondunit.fksecondunitId','left outer');
			$this->db->where('productsecondunit.fkproductId',$postData['productId']);
			$this->db->where('productsecondunit.is_active',1);
			$sql= $this->db->get('productsecondunit');
			return $sql->result();
			
    	}


		  function getgstdetails($postData)
		{
      		$this->db->select("*");			
			$this->db->where('gstId', $postData['gstId']);
			$this->db->where('is_active',1);
			$q= $this->db->get('gst_master');
			return $q->result();
    	}

		public function update($tableName,$model)
		{
			return  $this->db->where('purchasemainId',$model['purchasemainId'])
					         ->update($tableName,$model);

		}


		public function updateProduct($tableName,$model)
		{
			return  $this->db->where('productId',$model['productId'])
					         ->update($tableName,$model);

		}

		public function findsupplier($supplierId)
		{
			$this->db->select('supplier_master.supplierId,supplier_master.supplierName');
		 	$this->db->where('supplier_master.supplierId=',$supplierId);
		   $this->db->where('supplier_master.is_active',1);
			$sql=$this->db->get('supplier_master');
			return $sql->result();

		}

		public function updatetrans($tableName,$model)
		{
			return  $this->db->where('fkpurchasemainId',$model['fkpurchasemainId'])
					         ->update($tableName,$model);

		}
		public function findproduct($productId)
		{
			$this->db->select('product_master.productId,product_master.productName');
		 	$this->db->where('product_master.productId=',$productId);
		   $this->db->where('product_master.is_active',1);
			$sql=$this->db->get('product_master');
			return $sql->result();

		}

		public function delete($purchaseproductId,$model)
		{
			return $query=$this->db->where('purchaseproductId',$purchaseproductId)
		
			->update('purchaseproduct',$model);
			
		}
		public function search($purchasemainId)
		{
			$sql=$this->db->get_where('purchasemain',['purchasemainId'=>$purchasemainId]);
			return $sql->result();

		}

		
		public function getMaxId()
		{
			return $this->db->select_max('purchasemainId')
					        ->get('purchasemain')->result();
		}	 
		public function getMaxbatchId()
		{
			return $this->db->select_max('purchasebatchId')
					        ->get('purchasebatch')->result();
		}
		public function getsupplierlist() 
		{
			$this->db->select("supplierId,supplierName,primaryMobile,address");
			$this->db->from('supplier_master');
			$this->db->where('is_active',1);
			$query = $this->db->get();
			return $query->result();
		} 

		public function getproductlist() 
		{
			$this->db->select("product_master.productId,product_master.productName,product_master.purchaseRate,manufacture_master.manufactureName,product_master.fkcompanyId");
			
			$this->db->join('manufacture_master','manufacture_master.manufactureId=product_master.fkmanufactureId','left outer');
			$this->db->from('product_master'); 
			$this->db->where('product_master.is_active',1);
			$this->db->order_by('productName', 'ASC');
			$query = $this->db->get();
			return $query->result();
		} 	


		public function getpaymentlist() 
		{
			$this->db->select("paymenttypeId,paymentType");
			$this->db->from('paymenttype_master');
			$this->db->where('is_active',1);
			$query = $this->db->get();
			return $query->result();
		} 	

		public function gethsnlist() 
		{
			$this->db->select("hsnsacId,hsncode4");
			$this->db->from('hsnsac_master');
			$this->db->where('is_active',1);
			$query = $this->db->get();
			return $query->result();
		} 

		public function getgstlist() 
		{
			$this->db->select("*");
			$this->db->from('gst_master');
			$this->db->where('is_active',1);
			$query = $this->db->get();
			return $query->result();
		} 	



		public function getdiscountlist() 
		{
			$this->db->select("discountId,discountName");
			$this->db->from('discount_master');
			$this->db->where('is_active',1);
			$query = $this->db->get();
			return $query->result();
		} 


		public function OutstandingAmount($fksupplierId)
		{
			
			$this->db->select_sum('purchasemain.totalamount');
			
		 	$this->db->where('purchasemain.fksupplierId=',$fksupplierId);
		   $this->db->where('purchasemain.is_active',1);
			$sql=$this->db->get('purchasemain');
			// return $sql->result();
			$amt=$sql->result();
			if($amt[0]->totalamount=="")
			{
				// $sql=0;
				// return $sql->result();
				$amt[0]->totalamount=0;
				return $amt;
				// echo('hii');

			}
			else
			{
				 // $sql=0;
				 // $a=$sql->result();
				  // $a['amount']
				 return  $amt;
				// echo("by");
			}
		}

		public function OutstandingAmount2($fksupplierId)
		{
			$this->db->select('supplier_master.openingAmount');
			 
		 	$this->db->where('supplier_master.supplierId=',$fksupplierId);
		   $this->db->where('supplier_master.is_active',1);
			$sql=$this->db->get('supplier_master');
			$balance=$sql->result();
				if($balance[0]->openingAmount=="")
			{
				// $sql=0;
				// return $sql->result();
				$balance[0]->openingAmount=0;
				return $balance;
				// echo('hii');

			}
			else
			{
				 
				 return  $balance;
				
			}

		}
		public function OutstandingAmount1($fksupplierId)
		{
			
			$this->db->select_sum('suppliertransaction.paidAmount');
			
		 	$this->db->where('suppliertransaction.fksupplierId=',$fksupplierId);
		   $this->db->where('suppliertransaction.is_active',1);
			$sql=$this->db->get('suppliertransaction');
			$paidAmt=$sql->result();
				if($paidAmt[0]->paidAmount=="")
			{
				// $sql=0;
				// return $sql->result();
				// echo('hii');
				$paidAmt[0]->paidAmount=0;
				return $paidAmt;

			}
			else
			{
				 // $sql=0;
				 // $a=$sql->result();
				  // $a['amount']
				 return  $paidAmt;
				// echo("by");
			}

		}	

		public function getprimaryunit($productId)
		{
			$this->db->select('product_master.fkunitId,product_master.openingStock,unit_master.UnitName');

			$this->db->join('unit_master','unit_master.unitId=product_master.fkunitId','left outer');
			
		 	$this->db->where('product_master.productId=',$productId);
		   $this->db->where('product_master.is_active',1);
			$sql=$this->db->get('product_master');
			return $sql->result();
		}

		public function getsecondunitId($productId)
		{
			$this->db->select('productsecondunit.fksecondunitId,productsecondunit.conversion');
			
		 	$this->db->where('productsecondunit.fkproductId=',$productId);
		   $this->db->where('productsecondunit.is_active',1);
			$sql=$this->db->get('productsecondunit');
			return $sql->result();
		}


		public function batchinfo($productId)
		{
			$date=date('Y-m-d');
			$this->db->select('purchasebatch.batchName,purchasebatch.purchasebatchId');
			$this->db->join('purchaseproduct','purchaseproduct.fkpurchasebatchId=purchasebatch.purchasebatchId','left outer');
		 	$this->db->where('purchaseproduct.fkproductId=',$productId);
		 	$this->db->where('purchaseproduct.expiryDate>=',$date);
		 
		   $this->db->where('purchasebatch.is_active',1);	
			$sql=$this->db->get('purchasebatch');


			$this->db->select('purchasebatch.batchName,purchasebatch.purchasebatchId');
			// $this->db->join('purchaseproduct','purchaseproduct.fkpurchasebatchId=purchasebatch.purchasebatchId','left outer');
		 	$this->db->where('purchasebatch.fkproductId=',$productId);
		 	$this->db->where('purchasebatch.batchFlag=',1);
		 
		   $this->db->where('purchasebatch.is_active',1);	
			$sql1=$this->db->get('purchasebatch');
			// return $sql->result();
$outputArray = array();
			$result=array_merge($sql->result(),$sql1->result());
			
			foreach($result as $result) {
    foreach($outputArray as $outputArrayItem) {
        if($result == $outputArrayItem) {
            continue 2;
        }
    }
    $outputArray[] = $result;
}
			return $outputArray;
			
		}


		public function prodbatchinfo($productId)
		{
			// $date=date('Y-m-d');
			$this->db->select('purchasebatch.batchName,purchasebatch.purchasebatchId');
			// $this->db->join('purchaseproduct','purchaseproduct.fkpurchasebatchId=purchasebatch.purchasebatchId','left outer');
		 	$this->db->where('purchasebatch.fkproductId=',$productId);
		 	$this->db->where('purchasebatch.batchFlag=',1);
		 
		   $this->db->where('purchasebatch.is_active',1);	
			$sql=$this->db->get('purchasebatch');
			return $sql->result();
			
		}


		public function chkExistData($batchName,$fkproductId)
		{
			return $sql=$this->db->get_where('purchasebatch',['batchName'=>$batchName,'fkproductId'=>$fkproductId,'is_active'=>1])->num_rows();
		}

		public function getexpirtdate($productId,$batch)
		{
			$date=date('Y-m-d');
			$this->db->select('purchaseproduct.expiryDate,purchaseproduct.fkproductId,purchaseproduct.purchaseproductId,purchaseproduct.fkpurchasemainId');
			 

			$this->db->join('purchasebatch','purchasebatch.purchasebatchId=purchaseproduct.fkpurchasebatchId','left outer');
		 	$this->db->where('purchaseproduct.fkproductId=',$productId);
		 	$this->db->where('purchaseproduct.fkpurchasebatchId=',$batch);
		 	$this->db->where('purchaseproduct.expiryDate>=',$date);
		 	//  $this->db->group_by('purchaseproduct.fkpurchasebatchId');
		
		   $this->db->where('purchaseproduct.is_active',1);

		   $this->db->order_by('purchaseproduct.expiryDate','desc');
		   $this->db->order_by('purchaseproduct.fkproductId','desc');

			 $this->db->limit(1);

			$sql=$this->db->get('purchaseproduct');
		
			$expdate=$sql->result();
			// return $sql->result();
			if(!empty($expdate[0]->expiryDate))
			{
				
			
				 return  $expdate;

			}
			else
			{
				$expdate[0]['expiryDate']=date('Y-m-d');
				
				 return  $expdate;
				
			}
		}


		public function purchasebatchsecondsum($productId,$fksecondunitId,$batchId)
		{					
			$date=date('Y-m-d');
			$this->db->select_sum('purchaseproduct.Quantity');
			$this->db->select_sum('purchaseproduct.freeQuantity');
		 	$this->db->where('purchaseproduct.fkproductId=',$productId);
		 	$this->db->where('purchaseproduct.fkunitId=',$fksecondunitId);
		 	$this->db->where('purchaseproduct.fkpurchasebatchId=',$batchId);
		 	$this->db->where('purchaseproduct.expiryDate>=',$date);
		   $this->db->where('purchaseproduct.is_active',1);
			$sql=$this->db->get('purchaseproduct');
			$purchaseprimQty=$sql->result();
			if($purchaseprimQty[0]->Quantity=="")
			{
				
				$purchaseprimQty[0]->Quantity=0;
				return $purchaseprimQty;
				

			}
			else
			{
				 
				 return  $purchaseprimQty;
				
			}
			

		}

		public function invoicebatchsecondsum($productId,$fksecondunitId,$batchId)
		{					
			$date=date('Y-m-d');
			$this->db->select_sum('invoiceproduct.Quantity');
			$this->db->select_sum('invoiceproduct.freeQuantity');
		 	$this->db->where('invoiceproduct.fkproductId=',$productId);
		 	$this->db->where('invoiceproduct.fkunitId=',$fksecondunitId);
		 	$this->db->where('invoiceproduct.fkpurchasebatchId=',$batchId);
		 	$this->db->where('invoiceproduct.expiryDate>=',$date);
		   $this->db->where('invoiceproduct.is_active',1);
			$sql=$this->db->get('invoiceproduct');
			$invoiceQuantity=$sql->result();
			if($invoiceQuantity[0]->Quantity=="")
			{
				
				$invoiceQuantity[0]->Quantity=0;
				return $invoiceQuantity;
				

			}
			else
			{
				 
				 return  $invoiceQuantity;
				
			}
			

		}

		public function invoicebatchprimarysum($productId,$fkunitId,$batchId)
		{					
			$date=date('Y-m-d');
			$this->db->select_sum('invoiceproduct.Quantity');
			$this->db->select_sum('invoiceproduct.freeQuantity');
			
		 	$this->db->where('invoiceproduct.fkproductId=',$productId);
		 	$this->db->where('invoiceproduct.fkunitId=',$fkunitId);
		 	$this->db->where('invoiceproduct.fkpurchasebatchId=',$batchId);
		 	$this->db->where('invoiceproduct.expiryDate>=',$date);
		   $this->db->where('invoiceproduct.is_active',1);
			$sql=$this->db->get('invoiceproduct');
			$invoiceQuantity=$sql->result();
			if($invoiceQuantity[0]->Quantity=="")
			{
				
				$invoiceQuantity[0]->Quantity=0;
				return $invoiceQuantity;
				

			}
			else
			{
				 
				 return  $invoiceQuantity;
				
			}
			

		}


		public function purchasebatchprimarysum($productId,$fkunitId,$batchId)
		{				
			$date=date('Y-m-d');
			$this->db->select_sum('purchaseproduct.Quantity');
			$this->db->select_sum('purchaseproduct.freeQuantity');
		 	$this->db->where('purchaseproduct.fkproductId=',$productId);
		 	$this->db->where('purchaseproduct.fkunitId=',$fkunitId);
		 	$this->db->where('purchaseproduct.fkpurchasebatchId=',$batchId);
		 	$this->db->where('purchaseproduct.expiryDate>=',$date);
		   $this->db->where('purchaseproduct.is_active',1);
			$sql=$this->db->get('purchaseproduct');
			$purchaseprimQty=$sql->result();
			if($purchaseprimQty[0]->Quantity=="")
			{
				
				$purchaseprimQty[0]->Quantity=0;
				return $purchaseprimQty;
				

			}
			else
			{
				 
				 return  $purchaseprimQty;
				
			}
			

		}

		public function getdeletebatch($productId,$fkunitId,$batchId)
		{					
			$date=date('Y-m-d');
			$this->db->select('deletebatch.Quantity as deleteqty');
			$this->db->where('deletebatch.fkproductId=',$productId);
		 	$this->db->where('deletebatch.fkunitId=',$fkunitId);
		 	$this->db->where('deletebatch.fkpurchasebatchId=',$batchId);
		 	$this->db->where('deletebatch.expirydate>=',$date);
		   $this->db->where('deletebatch.is_active',1);
			$sql=$this->db->get('deletebatch');
			$deletebatchqty=$sql->result();

			if (!empty($deletebatchqty)) {
				$deletebatchqty[0]=[	
							'deleteqty'=>$deletebatchqty[0]->deleteqty
					];
				return  $deletebatchqty;
			}
			else
			{

				$deletebatchqty[0]=[	
							'deleteqty'=>0
					];
				return  $deletebatchqty;
				// print_r($deletebatchqty) ;
			}
			

		}


		public function getAllModalDatas($productIds)
		{   
			
			$this->db->select('product_master.*');
			$this->db->from('product_master');
			$this->db->where('is_active','1');
			$this->db->where('product_master.productId',$productIds);
			 $query = $this->db->get();
			 return $query->result();
				
		}

		public function getmanufacturelist() 
		{
			$this->db->select("manufactureId,manufactureName");
			$this->db->from(' manufacture_master');
			$this->db->where('is_active',1);
			$query = $this->db->get();
			return $query->result();
		}





		public function getProductlists() 
		{
			$this->db->select('product_master.*');
			$this->db->from('product_master');
			$this->db->where('is_active','1');
			// $this->db->where('product_master.productId',$productIds);
			 $query = $this->db->get();
			 return $query->result();
		}


		public function getpurchaseCount($PurchaseType) {
			$this->db->where('purchasemain.PurchaseType', $PurchaseType);
        return $this->db->count_all_results('purchasemain');

		}

	} 
	
?>