<?php
if( ! defined('BASEPATH')) exit('No direct script access allowed');

	//require_once(APPPATH.'/interfaces/IBase.php');
	
	class Model_Suppliertransaction extends CI_Model  
	{
		public function __construct()
		{
			parent::__construct();	
		} 
		
		public function select_all()
		{					
			$sql=$this->db->select('suppliertransaction.supplierTransactionId,suppliertransaction.fksupplierId,suppliertransaction.fkpurchasemainId,suppliertransaction.paymentDate,suppliertransaction.paidAmount,suppliertransaction.fkpaymenttypeId,supplier_master.supplierName,paymenttype_master.paymentType')
			->join('supplier_master','supplier_master.supplierId=suppliertransaction.fksupplierId','left outer')
			->join('paymenttype_master','paymenttype_master.paymenttypeId=suppliertransaction.fkpaymenttypeId','left outer')

			->where(['suppliertransaction.is_active'=>1])
			->get('suppliertransaction');
			return $sql->result();


		} 
		public function select($supplierTransactionId)
		{
			$sql=$this->db->select('suppliertransaction.*,supplier_master.supplierId,supplier_master.supplierName,paymenttype_master.paymenttypeId,paymenttype_master.paymentType,mobilepaymentapp_master.mobileappId,mobilepaymentapp_master.mobileappName,bank_master.bankId,bank_master.bankName')
			->join('supplier_master','supplier_master.supplierId=suppliertransaction.fksupplierId','left outer')
			->join('paymenttype_master','paymenttype_master.paymenttypeId=suppliertransaction.fkpaymenttypeId','left outer')
			->join('mobilepaymentapp_master','mobilepaymentapp_master.mobileappId=suppliertransaction.fkmobAppId','left outer')
			->join('bank_master','bank_master.bankId=suppliertransaction.fkbankId','left outer')
			->where('suppliertransaction.supplierTransactionId=',$supplierTransactionId)
			->where(['suppliertransaction.is_active'=>1])
			->get('suppliertransaction');
			return $sql->result();

		}

		public function insert($model)
		{
			return $this->db->insert('suppliertransaction',$model);
			return $sql->result();

		}  

		public function update($model)
		{
			return $sql=$this->db->where('supplierTransactionId',$model['supplierTransactionId'])
						  ->update('suppliertransaction',$model);

		} 

		public function delete($model)
		{
			return $sql=$this->db->where('supplierTransactionId',$model->supplierTransactionId)
						  ->update('suppliertransaction',$model);

		} 
		public function search($supplierTransactionId)
		{
			$sql=$this->db->get_where('suppliertransaction',['supplierTransactionId'=>$supplierTransactionId]);
			return $sql->result();

		}
		public function supplierlist()
		{
			$this->db->select("supplierId,supplierName,address,primaryMobile");
			$this->db->from('supplier_master');
			$this->db->where('is_active',1);
			$query = $this->db->get();
			return $query->result();
			
		} 	
		public function paymenttypelist()
		{
			$this->db->select("paymenttypeId,paymentType");
			$this->db->from('paymenttype_master');
			$this->db->where('is_active',1);
			$query = $this->db->get();
			return $query->result();
			
		}
		public function findsuppliername($supplierId)
		{
			$this->db->select('supplier_master.supplierId,supplier_master.supplierName');
		 	$this->db->where('supplier_master.supplierId=',$supplierId);
		   $this->db->where('supplier_master.is_active',1);
			$sql=$this->db->get('supplier_master');
			return $sql->result();

		}
		public function paymentlist()
		{
			$this->db->select("paymenttypeId,paymentType");
			$this->db->from('paymenttype_master');
			// $this->db->;
			$this->db->where('paymenttypeId!=',3);
			$this->db->where('paymenttypeId!=',7);
			$this->db->where('paymenttypeId!=',4);
			$this->db->where('paymenttypeId!=',5);
			$this->db->where('paymenttypeId!=',6);
			$this->db->where('is_active',1);
			$query = $this->db->get();
			return $query->result();
			
		}
		public function paymentdetail()
		{
			$this->db->select("paymenttypeId,paymentType");
			$this->db->from('paymenttype_master');
			// $this->db->;
			$this->db->where('paymenttypeId!=',2);
			$this->db->where('is_active',1);
			$query = $this->db->get();
			return $query->result();
			
		}
		public function mobapplist()
		{
			$this->db->select("mobileappId,mobileappName");
			$this->db->from('mobilepaymentapp_master');
			$this->db->where('is_active',1);
			$query = $this->db->get();
			return $query->result();
			
		} 	
		public function banklist()
		{
			$this->db->select("bankId,bankName");
			$this->db->from('bank_master');
			$this->db->where('is_active',1);
			$query = $this->db->get();
			return $query->result();
			
		} 
		public function getpaymenthistory($startDate,$endDate,$paymenttypeId,$supplierId)
		{
			if($paymenttypeId=="")
			{
				$this->db->select('suppliertransaction.*,supplier_master.supplierId,supplier_master.supplierName,paymenttype_master.paymenttypeId,paymenttype_master.paymentType,mobilepaymentapp_master.mobileappId,mobilepaymentapp_master.mobileappName,bank_master.bankId,bank_master.bankName');
			$this->db->join('supplier_master','supplier_master.supplierId=suppliertransaction.fksupplierId','left outer');
			$this->db->join('paymenttype_master','paymenttype_master.paymenttypeId=suppliertransaction.fkpaymenttypeId','left outer');
			$this->db->join('mobilepaymentapp_master','mobilepaymentapp_master.mobileappId=suppliertransaction.fkmobAppId','left outer');
			$this->db->join('bank_master','bank_master.bankId=suppliertransaction.fkbankId','left outer');
			$this->db->where('suppliertransaction.paymentDate>=',$startDate);
		 	$this->db->where('suppliertransaction.paymentDate<=',$endDate);
		 	$this->db->where('suppliertransaction.fksupplierId=',$supplierId);
		   $this->db->where('suppliertransaction.is_active',1);
			$sql=$this->db->get('suppliertransaction');
			return $sql->result();

			}
			else
			{
				$this->db->select('suppliertransaction.*,supplier_master.supplierId,supplier_master.supplierName,paymenttype_master.paymenttypeId,paymenttype_master.paymentType,mobilepaymentapp_master.mobileappId,mobilepaymentapp_master.mobileappName,bank_master.bankId,bank_master.bankName');
			$this->db->join('supplier_master','supplier_master.supplierId=suppliertransaction.fksupplierId','left outer');
			$this->db->join('paymenttype_master','paymenttype_master.paymenttypeId=suppliertransaction.fkpaymenttypeId','left outer');
			$this->db->join('mobilepaymentapp_master','mobilepaymentapp_master.mobileappId=suppliertransaction.fkmobAppId','left outer');
			$this->db->join('bank_master','bank_master.bankId=suppliertransaction.fkbankId','left outer');
			$this->db->where('suppliertransaction.paymentDate>=',$startDate);
		 	$this->db->where('suppliertransaction.paymentDate<=',$endDate);
		 	$this->db->where('suppliertransaction.fksupplierId<=',$supplierId);
		 	$this->db->where('suppliertransaction.fkpaymenttypeId=',$paymenttypeId);
		   $this->db->where('suppliertransaction.is_active',1);
			$sql=$this->db->get('suppliertransaction');
			return $sql->result();


			}
			
		}
		public function getbillhistory($startDate,$endDate,$paymenttypeId,$supplierId)
		{
			if($paymenttypeId=="")
			{
				$this->db->select('purchasemain.*,paymenttype_master.paymenttypeId,paymenttype_master.paymentType,supplier_master.supplierId,supplier_master.supplierName');
			 
			 $this->db->join('paymenttype_master','paymenttype_master.paymenttypeId=purchasemain.fkpaymentId','left outer');
			 $this->db->join('supplier_master','supplier_master.supplierId=purchasemain.fksupplierId','left outer');
			$this->db->where('purchasemain.purchaseDate>=',$startDate);
		 	$this->db->where('purchasemain.purchaseDate<=',$endDate);
		 	$this->db->where('purchasemain.fksupplierId<=',$supplierId);
		   $this->db->where('purchasemain.is_active',1);
			$sql=$this->db->get('purchasemain');
			return $sql->result();

			}
			else
			{
			 	$this->db->select('purchasemain.*,paymenttype_master.paymenttypeId,paymenttype_master.paymentType,supplier_master.supplierId,supplier_master.supplierName');
			 
			 $this->db->join('paymenttype_master','paymenttype_master.paymenttypeId=purchasemain.fkpaymentId','left outer');
			 $this->db->join('supplier_master','supplier_master.supplierId=purchasemain.fksupplierId','left outer');
			$this->db->where('purchasemain.purchaseDate>=',$startDate);
		 	$this->db->where('purchasemain.purchaseDate<=',$endDate);
		 	$this->db->where('purchasemain.fksupplierId<=',$supplierId);
		 	$this->db->where('purchasemain.fkpaymentId=',$paymenttypeId);
		   $this->db->where('purchasemain.is_active',1);
			$sql=$this->db->get('purchasemain');
			return $sql->result();

			}
			
		}
		public function getopeningAmount($supplierId)
	{
				$this->db->select('supplier_master.openingAmount');
			 	$this->db->where('supplier_master.supplierId=',$supplierId);
			   	$this->db->where('supplier_master.is_active',1);
				$sql=$this->db->get('supplier_master');
				$balence=$sql->result();
				if($balence[0]->openingAmount=="")
				{
					$balence[0]->openingAmount=0;
					return $balence;
				}
				else
				{
					return $balence;
				}
	}
		public function getpurchaseamount($supplierId)
	{
				$this->db->select_sum('purchasemain.totalamount');
			 	$this->db->where('purchasemain.fksupplierId=',$supplierId);
			   	$this->db->where('purchasemain.is_active',1);
				$sql=$this->db->get('purchasemain');
				$amount=$sql->result();
				if($amount[0]->totalamount=="")
				{
					$amount[0]->totalamount=0;
					return $amount;
				}
				else
				{
					return $amount;
				}
	}
	public function getpaidamt($supplierId)
	{
				$this->db->select_sum('suppliertransaction.paidAmount');
			 	$this->db->where('suppliertransaction.fksupplierId=',$supplierId);
			   $this->db->where('suppliertransaction.is_active',1);
				$sql=$this->db->get('suppliertransaction');
				return $sql->result();
				$paid=$sql->result();
				if($paid[0]->paidAmount=="")
				{
					$paid[0]->paidAmount=0;
					return $paid;
				}
				else
				{
					return $paid;
				}
	}
		
	} 
	
?>