<?php
if( ! defined('BASEPATH')) exit('No direct script access allowed');

	
	class SalesModel extends CI_Model 
	{
		public function __construct()
		{
			parent::__construct();	
		} 
		
		public function insert($tableName,$model)
		{
			return $this->db->insert($tableName,$model);
		}

		function insertRecord($tableName,$fieldArray)
    {
         $this->db->insert($tableName, $fieldArray);
         return $this->db->insert_id();
    }

	function updateRecord($tableName,$fieldArray,$recordIdArray)
    {
        //$this->db->where('id', $recordId);
        $this->db->update($tableName, $fieldArray, $recordIdArray);
        return true;//$this->db->affected_rows();
    }



	// public function SaleTableData() 
	// {
	// 	$current_date = date('Y-m-d');
	// 	$this->db->select("sale_master.*");
		
	// 	$this->db->from('sale_master'); 
	// 	$this->db->where('sale_master.is_active',1);
	// 	$this->db->where('DATE(sale_master.current_date)', $current_date);
	// 	$query = $this->db->get();
	// 	return $query->result();
	// }

	public function SaleTableData() 
	{
		$current_date = date('Y-m-d');
		$this->db->select("salesformitem_master.*");
		
		$this->db->from('salesformitem_master'); 
		$this->db->where('salesformitem_master.is_active',1);
		$this->db->where('DATE(salesformitem_master.current_date)', $current_date);
		$query = $this->db->get();
		return $query->result();
	}




	
	public function select_all() 
	{
		$this->db->select("salesform_master.salesFormId,salesform_master.saleType,salesform_master.Saledate,salesform_master.billType,salesform_master.PatientId,patient_master.patientName");
		
		$this->db->join('patient_master','patient_master.patientId=salesform_master.PatientId','left outer');
		$this->db->from('salesform_master'); 
		$this->db->where('salesform_master.is_active',1);
		$this->db->order_by('salesform_master.salesFormId','desc');

		$query = $this->db->get();
		return $query->result();
	}





		public function getproductlist() 
		{
			$this->db->select("product_master.productId,product_master.productName,product_master.purchaseRate,manufacture_master.manufactureName,product_master.fkcompanyId");
			
			$this->db->join('manufacture_master','manufacture_master.manufactureId=product_master.fkmanufactureId','left outer');
			$this->db->from('product_master'); 
			$this->db->where('product_master.is_active',1);
			$query = $this->db->get();
			return $query->result();
		}

		public function getproductdetails($productId)
		{
			// $sql=$this->db->select("*")
			// 			  ->get_where('product_master',['productId'=>$productId,'is_active'=>1]);
			// return $sql->result();

			$this->db->select("purchaseproduct.*,product_master.fkcompanyId,unit_master.UnitName,company_master.companyName,product_master.productName,product_master.fkcompanyId,purchasebatch.batchName,product_master.selfNo,product_master.minstockLevel,product_master.purchasePack,product_master.sheduledDrug");
			
			
			$this->db->join('purchasemain','purchasemain.purchasemainId=purchaseproduct.fkpurchasemainId','left outer');

			$this->db->join('product_master','product_master.productId=purchaseproduct.fkproductId','left outer');

			$this->db->join('unit_master','unit_master.UnitId=purchaseproduct.fkunitId','left outer');
			$this->db->join('company_master','company_master.companyId=product_master.fkcompanyId','left outer');

			$this->db->join('purchasebatch','purchasebatch.purchasebatchId=purchaseproduct.fkpurchasebatchId','left outer');



			
			$this->db->from('purchaseproduct'); 
			$this->db->where('purchaseproduct.fkproductId',$productId);

			$this->db->where('purchaseproduct.is_active',1);
			$query = $this->db->get();
			return $query->result();
		}

		public function getSaleTypeCount($saleType) {
			$this->db->where('salesform_master.saleType', $saleType);
        return $this->db->count_all_results('salesform_master');

		}

		public function getbatchdetails($postData)
{				
    $date = date('Y-m-d');
    
    $this->db->select('purchasebatch.batchName, purchaseproduct.expiryDate, purchaseproduct.Rate, purchaseproduct.Quantity, product_master.productName, purchaseproduct.fkpurchasebatchId, purchaseproduct.moreMrp, product_master.selfNo, product_master.fkcompanyId, company_master.companyName,product_master.fkunitId,unit_master.UnitName,purchaseproduct.productamount,product_master.minstockLevel,product_master.purchasePack,content_master.contentName,purchaseproduct.moreCost,product_master.productId,purchaseproduct.purchaseproductId');
    
    $this->db->from('purchaseproduct');
    
    $this->db->join('product_master', 'product_master.productId = purchaseproduct.fkproductId', 'left');
    
    $this->db->join('purchasebatch', 'purchasebatch.purchasebatchId = purchaseproduct.fkpurchasebatchId', 'left');
    
    $this->db->join('company_master', 'product_master.fkcompanyId = company_master.companyid', 'inner');
    $this->db->join('unit_master', 'product_master.fkunitId = unit_master.UnitId', 'inner');
    $this->db->join('content_master', 'product_master.fkcontentId = content_master.contentId', 'inner');


    
    $this->db->where('purchaseproduct.fkproductId', $postData['productId']);
    // $this->db->where('purchaseproduct.expiryDate >=', $date);
    $this->db->where('purchaseproduct.is_active', 1);
    
    $query = $this->db->get();
    
    return $query->result();
}


public function salesformitems() 
{
	$this->db->select("batch,Quantity");
	$this->db->from(' salesformitem_master');
	$this->db->where('is_active',1);
	$query = $this->db->get();
	return $query->result();
}


public function getActiveSalesmainCount() {
	$this->db->from('salemain_master');
	$this->db->where('is_active', 1);
	return $this->db->count_all_results();
}


		// ***  salesForm  functions********
		public function getPatientlists() 
		{
			$this->db->select("patientId,patientName");
			$this->db->from(' patient_master');
			$this->db->where('is_active',1);
			$query = $this->db->get();
			return $query->result();
		}

		public function getSalesmanlists() 
		{
			$this->db->select("salesmanId,salesName");
			$this->db->from(' salesman_master');
			$this->db->where('is_active',1);
			$query = $this->db->get();
			return $query->result();
		}


		public function getsalesFormByid($salesFormId)
		{   
		  $this->db->select('salesform_master.*');
		
		
		  $this->db->from('salesform_master');
		  
		  $this->db->where('salesform_master.salesFormId',$salesFormId);
		  $this->db->where('salesform_master.is_active','1');
		  $query = $this->db->get();
		  return $query->result(); ;
		  // exit();
		  // $query->result();
		
		}


		public function getallSales_itemsid($fksalesFormId)
{   
  $this->db->select('salesformitem_master.salesformItemId,salesformitem_master.fksalesFormId,salesformitem_master.productName,unit,salesformitem_master.company,salesformitem_master.selfNo,salesformitem_master.batch,salesformitem_master.expDate,salesformitem_master.moreMrp,salesformitem_master.Quantity,salesformitem_master.productamount');
  $this->db->from('salesformitem_master');
  $this->db->join('salesform_master','salesformitem_master.fksalesFormId  = salesform_master.salesFormId','left');

//   $this->db->join('stickertype_master','salesformitem_master.fkTypeId  = stickertype_master.stickerTypeId','left');
 
  $this->db->where('salesformitem_master.fksalesFormId',$fksalesFormId);
  $this->db->where('salesformitem_master.is_active','1');
  $query = $this->db->get();
   return $query->result();
}

    }
    ?>