<?php
if( ! defined('BASEPATH')) exit('No direct script access allowed');
	class Model_Employee extends CI_Model 
	{
		public function __construct()
		{
			parent::__construct();	
		} 
		
		public function select_all()
		{					
		$sql=$this->db->select('employee_master.*,gender.gender,role_master.roleName,country_master.countryName,blood_master.bloodgroup,usertype_master.usertypeName')
		->join('gender','gender.genderId=employee_master.fkgenderId','left outer')
		->join('role_master','role_master.roleId=employee_master.fkroleId','left outer')
		->join('maritalstatus_master','maritalstatus_master.maritalstatusId=employee_master.fkmaritalstatusId','left outer')
		->join('country_master','country_master.countryId=employee_master.fkcountryId','left outer')
		->join('usertype_master','usertype_master.usertypeId=employee_master.fkusertypeId','left outer')
		->join('blood_master','blood_master.bloodgroupId=employee_master.fkbloodgroupId','left outer')
		->get_where('employee_master',['employee_master.is_active'=>1]);
		return $sql->result();
		} 
	
		public function insert($tableName,$model)
		{
			return $this->db->insert($tableName,$model);
		} 
		public function update($tableName,$model)
		{
			return  $this->db->where('empId',$model['empId'])
					         ->update($tableName,$model);

		}

		public function updateemplicence($tableName,$model,$employeelicenceId)
		{
			return  $this->db->where('fkempId',$model['fkempId'])
									->where('employeelicenceId',$employeelicenceId)
					         ->update($tableName,$model);

		}
		public function getMaxId()
		{
			return $this->db->select_max('empId')
					        ->get('employee_master')->result();
		}

		public function getroutelist() 
		{
			$this->db->select("routeId,routeName");
			$this->db->from('route_master');
			$query = $this->db->get();
			return $query->result();
		}

		public function getlicencelist() 
		{
			$this->db->select("licencetypeId,licencetypeName");
			$this->db->from('licencetype_master');
			$query = $this->db->get();
			return $query->result();
		}
		public function delete($employeelicenceId,$model)
		{
			return $query=$this->db->where('employeelicenceId',$employeelicenceId)
		
			->update('employeelicence',$model);
			
		} 
		public function search($empId)
		{
			$sql=$this->db->get_where('employee_master',['empId'=>$empId]);
			//print_r($sql);
			return $sql->result();

		}
		
		public function getcountrylist() 
		{
			 $this->db->select('*');
        $q = $this->db->get('country_master');
       // $this->db->where('is_active',1);
        return $q;
		}
		public function getstate($postData) 
		{
			$this->db->select("stateId,stateName");
		$this->db->where('fkcountryId', $postData['fkcountryId']);
      $q = $this->db->get('state_master');
      //$this->db->where('is_active',1);
      return $q->result();
    }
		public function getdistrict($postData) 
		{
			$this->db->select("districtId,districtName");
			 $this->db->where('fkstateId', $postData['fkstateId']);
      $q = $this->db->get('distric_master');
      //$this->db->where('is_active',1);
      return $q->result();
    }
        public function gettaluka($postData) 
		{
			$this->db->select("talukaId,talukaName");
			 $this->db->where('fkdistrictId',$postData['fkdistrictId']);
      $q = $this->db->get('taluka_master');
      //$this->db->where('is_active',1);
      return $q->result();
    }
    public function getvillage($postData) 
		{
			$this->db->select("villageId,villageName");
			 $this->db->where('fktalukaId',$postData['fktalukaId']);
      $q = $this->db->get('village_master');
      //$this->db->where('is_active',1);
      return $q->result();
    }
		public function getgenderlist() 
		{
			$this->db->select("genderId,gender");
			$this->db->from('gender');
			//$this->db->where('is_active',1);
			$query = $this->db->get();
			return $query;
		}
		public function getrolelist() 
		{
			$this->db->select("roleId,roleName");
			$this->db->from('role_master');
			//$this->db->where('is_active',1);
			$query = $this->db->get();
			return $query;
		}
		public function getmaritalstatuslist() 
		{
			$this->db->select("maritalstatusId,maritalstatus");
			$this->db->from('maritalstatus_master');
			//$this->db->where('is_active',1);
			$query = $this->db->get();
			return $query;
		} 	
		public function getbloodlist() 
		{
			$this->db->select("bloodgroupId,bloodgroup");
			$this->db->from('blood_master');
			//$this->db->where('is_active',1);
			$query = $this->db->get();
			return $query;
		}
		public function getusertypelist() 
		{
			$this->db->select("usertypeId,usertypeName");
			$this->db->from('usertype_master');
			//$this->db->where('is_active',1);
			$query = $this->db->get();
			return $query;
		} 	


		public function getlicencedetails($fkempId)
		{			
			$sql=$this->db->select('employeelicence.*,licencetype_master.licencetypeName')
				// ->join('invoiceproduct','invoicemain.invoicemainId=invoiceproduct.fkinvoicemainId','left outer')
					
			     ->join('licencetype_master','licencetype_master.licencetypeId=employeelicence.fklicencetypeId','left outer')
			   
				 
				->where(['employeelicence.fkempId'=>$fkempId,'employeelicence.is_active'=>1])
				->get('employeelicence');
			
			return $sql->result();
		}
	} 
	
?>